use std::str::FromStr;
use std::sync::Arc;

use cidr::IpInet;
use serde::{Deserialize, Serialize};
use tokio::sync::Mutex;

use crate::event::Event;

#[derive(Clone, Debug, Serialize, Deserialize)]
pub struct IpcMessage {
    pub peer: crate::WgPeer,
    pub event: Event,
}
